Subject: Routes in packages are overruled by global configuration
Description

In the current implementation the route configuration is first loaded from all packages, then overwritten or appended by the global
configuration. When matching the routes, the configured routes are matched in reverse order.

    1. Packages
        1. Global packages
        2. Local packages
    2. Global configuration
    3. Global context dependent configuration

Since the default routes are in the global configuration, a package cannot put a new route after the default routes or overwrite them.
So the route configuration in packages is currently pretty useless and will not be applied. This is not inituitive.

There has to be a prioritization at a later stage, but for now it should suffice to have the default routes in the FLOW3 package and an
empty global routes configuration. But a problem that arises with this solution is, that the route order will be bound to the order of the
packages when loading the configuration. But as local packages come last, the behaviour would be more intuitive.

Related issues:
related to TYPO3.Flow - Task # 2126: Implement sub routes support (routes sho... Resolved 2008-11-11
related to TYPO3.Flow - Task # 3441: Routing: Don't process routes in reverse... Resolved 2009-05-24

History
#1 - 2009-05-24 23:26 - Bastian Waidelich

If I see it correctly, those issues will be solved when #2126 and #3441 are fixed.

#2 - 2009-06-04 09:13 - Bastian Waidelich

This is resolved now, right?
Context-Routes are loaded first, then global routes which can include subroutes at a distinct position. So prioritization should be possible without
restrictions..

#3 - 2009-06-04 10:29 - Robert Lemke
- Status changed from Needs Feedback to Resolved
- Target version set to 1.0 alpha 1
- % Done changed from 0 to 100
Yes, I considered this as resolved.
